//
//  FlatShadedAppDelegate.m
//  FlatShaded
//
//  Created by Edward Patel on 2009-10-04.
//  Copyright Memention AB 2009. All rights reserved.
//

#import "FlatShadedAppDelegate.h"
#import "EAGLView.h"

@implementation FlatShadedAppDelegate

@synthesize window;
@synthesize glView;

- (void) applicationDidFinishLaunching:(UIApplication *)application
{
	[glView startAnimation];
}

- (void) applicationWillResignActive:(UIApplication *)application
{
	[glView stopAnimation];
}

- (void) applicationDidBecomeActive:(UIApplication *)application
{
	[glView startAnimation];
}

- (void)applicationWillTerminate:(UIApplication *)application
{
	[glView stopAnimation];
}

- (void) dealloc
{
	[window release];
	[glView release];
	
	[super dealloc];
}

@end
