//
//  Shader.vsh
//  FlatShaded
//
//  Created by Edward Patel on 2009-10-04.
//  Copyright Memention AB 2009. All rights reserved.
//

attribute vec4 position;
attribute vec4 color;

varying vec4 colorVarying;

uniform float translate;

void main()
{
	gl_Position = position;
	gl_Position.y += sin(translate) / 2.0;
	
	colorVarying = color;
}
